# sf-notifier

Prometheus Alertmanager webhook receiver sending alert notification to Salesforce.

## Development

### Setup

Install Python dependencies:

```
$ virtualenv venv
$ venv/bin/pip install -e .
$ source sf_notifier/vars/development
```

Add to `settings/development.py` credentials for your Salesforce customer (not engineering) account:

```
SF_CONFIG = {
    'AUTH_URL': 'xxx',
    'USERNAME': 'xxx',
    'PASSWORD': 'xxx',
    'ORGANIZATION_ID': 'xxx',
    'ENVIRONMENT_ID': 'xxx',
    'SANDBOX_ENABLED': True
}
```

You may also specify environment variables to override Python settings:

```
export SFDC_AUTH_URL="xxx"
export SFDC_USERNAME="xxx"
export SFDC_PASSWORD="xxx"
export SFDC_ORGANIZATION_ID="xxx"
export SFDC_ENVIRONMENT_ID="xxx"
export SFDC_SANDBOX_ENABLED=true
```

Run server:

```
$ venv/bin/flask run
```

Check in browser:

```
http://127.0.0.1:5000/health
```
